Download it now!
Bug 90292 - Crash in pivot table when dragging field into Rows fields
Summary: Crash in pivot table when dragging field into Rows fields
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: high critical
Assignee: Julien Nabet
URL:
Whiteboard: target:4.5.0
Keywords: bibisectRequest, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2015-03-28 08:44 UTC by raal
Modified: 2015-12-17 08:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test file (8.76 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-03-28 08:44 UTC, raal
Details
bt with debug symbols (3.13 KB, text/plain)
2015-03-28 10:49 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2015-03-28 08:44:12 UTC
Created attachment 114413 [details]
test file

Steps>
- open attachment
- create pivot table Data-Pivot table - create
-drag field "aaa" into Row fields:

Crash.

Version: 4.5.0.0.alpha0+
Build ID: 28c61871e876e6a2cac47439f768504b1a4c94a0
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-03-27_06:30:21
Comment 1 raal 2015-03-28 08:46:42 UTC
0x00007ffff3bf1bc4 in SvTreeListBox::MoveSelectionCopyFallbackPossible(SvTreeListBox*, SvTreeListEntry*, bool) ()
   from /opt/libreofficedev4.5/program/libsvtlo.so
Comment 2 Buovjaga 2015-03-28 08:47:58 UTC
Crashes on Linux 4.5, but not on Windows.
On Windows, the field is not added to Row fields when dragged in. When you first do it on Windows, it thinks for a moment, yet doesn't crash.
In 4.4, it gets inserted.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI

Version: 4.5.0.0.alpha0+
Build ID: 8c3cf9dd48e40604867d3a28bddaccd65142df17
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-27_15:15:18
Locale: fi_FI

Ubuntu 14.10 64-bit 
Version: 4.5.0.0.alpha0+
Build ID: 02bea75dd6bc91759e987fafb5dccec6ce92b0c2
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-03-28_00:19:15
Locale: en_US
Comment 3 Julien Nabet 2015-03-28 10:49:43 UTC
Created attachment 114414 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.

I attached a bt with symbols.
Comment 4 m.a.riosv 2015-03-28 13:56:18 UTC
https://bugs.documentfoundation.org/show_bug.cgi?id=78458 seems in relation with what @Beluga comment in #2.

I think issues with pivot table window for edit PT layout began with converting dialogue to ',ui'. Up to Version: 4.2.8.0.0+ works fine.
Issues begin with Version: 4.3.x.

Even worse, e.g. selecting an operation with double click on a row field is applied but editing again option it's not there, clicking Ok it's lost.
Yes I know it's a different issue, but I'm a bit tired.

PT layout edit with in the actual versions it's near to impossible. Who knows what works and what not. And Yes I also know it's a complex dialogue.
Comment 5 Commit Notification 2015-03-28 23:25:19 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=704cf81ebef60a3f9d3f5f78ed24a1fe30c98f92

tdf#90292: Crash in pivot table when dragging field into Rows fields

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2015-12-17 08:50:27 UTC
Migrating Whiteboard tags to Keywords: (bibisectRequest)
[NinjaEdit]